
int triSize = gameSize/3;

// Methoden //

/**********************
 Bei einem mausKlick wird geprüft ob und welches frei feld angeklickt wurde, das feld wird anschließend zurück gegeben
**********************/
int[] mausKlick (int mx, int my){
 int[] zugwahl = {-1,-1}; // Hier wird die Spalte & zeile des feldes vermerkt, sind diese bei der rückgabe == -1 heißt dies das kein Zug durchgeführt wurde
 
  for (int s=0; s<3; s++){
    for (int z=0; z<3; z++){
      // prüfe ob sich die Mauskoordinaten innerhalb des Feldes befinden
     if ((mx > triSize*s && mx < triSize*(s+1)) && (my > triSize*z && my < triSize*(z+1))){
     // Wenn true dann wurde das feld [s][z] angeklickt
       if(spielfeld.getFeldStatus(s,z) == 0){
         zugwahl[0] = s;
         zugwahl[1] = z;
       }
     }     
   }
 }  
 return zugwahl;
}

/***********************
  Funktionsbeschreibung: 
  Zeigt das Spielfeld auf dem bildschirm an
***********************/
void zeigeSpiel(Feld[][] board){
 // lösche was zuvor auf dem bildschirm war
 fill(255);
 rect(0,0, gameSize, gameSize);

// 
 for (int s=0; s<3; s++){
   for (int z=0; z<3; z++){
     int mpX = triSize *s +(triSize/2); // mpX steht für MittelpunktX und repräsentiert den mittelpunkt des Feldes an stelle board[s][z] 
     int mpY = triSize *z +(triSize/2);
     zeigeFeld(mpX, mpY, board[s][z].getStatus());  // zeige Inhalt des Feldes an
     // Male die Feldgrenzen
     stroke(0,0,0);
     line(triSize*(s+1),0,triSize*(s+1), gameSize);
     line(0, triSize*(z+1),gameSize, triSize*(z+1));
   }
 }
}
/***********************
  Funktionsbeschreibung:
  Zeigt den "Inhalt" eines feldes an
***********************/
void zeigeFeld(int x, int y, int status){
  // wenn vom Spieler belegt
  if(status == player_ID){   
   // male einen roten Kreis
   noFill();
   stroke(255,0,0);    
   ellipse(x, y, triSize-10, triSize-10); 
  }
  // wenn vom Computer belegt
  if(status == computer_ID){   
    // male ein blaues Kreuz
   stroke(0,0,255);  
   line(x -triSize/2 +5, y -triSize/2 +5, x +triSize/2 -5, y +triSize/2 -5);
   line(x -triSize/2 +5, y +triSize/2 -5,x +triSize/2 -5,  y -triSize/2 +5);
  }
}

/***********************
Funktionsbeschreibung: Gibt auf dem Bildschirm aus ob und welcher Spieler gewonnen hat.
***********************/
void printWinner(int winner){       // funktion die dem Nutzer anzeigt wer und ob jemand gewonnen hat.
  if (winner == player_ID){                 
    fancyText(gameSize/3, "Glückwunsch, sie haben gewonnen!", gameSize/20, #FF0000);
  } else if(winner == computer_ID){
    fancyText(gameSize/3, "Der Computer hat gewonnen...",gameSize/20 , #0000FF);
  } else {                          
    fancyText(gameSize/3, "Spiel unentschieden", gameSize/20, #00DD00);
  }
 }

/***********************
  Funktionsbeschreibung: Löscht alles was im Fenster ist.
***********************/
void clearSpace(){       // löscht alles was auf dem bildschirm ausgegeben wurde
  background(#BBFFBB);   // Hintergrund Mintgrün
  fill(255);
  rect(0,0, gameSize, gameSize);      // Spielfeld mit weißem hintergrund
} 

/***********************
  Funktionsbeschreibung: Gibt eine Textbox auf dem bildschirm aus
  Parameter: 
    pos     -> Gibt an auf welcher höhe die Textbox angezeigt werden soll.
    message -> Nachricht die ausgegeben werden soll
    fontsize-> Schriftgröße in pixel
    rgb     -> Schriftfarbe in Hexadezimal
***********************/
void fancyText(int pos,String message, int fontsize, int rgb){  
  int boxHelligkeit = 200;                 // hoch = hell (0-255)
  int boxSichtbarkeit = 230;               // niedrig = durchsichtiger (0-255)
  fill(boxHelligkeit, boxSichtbarkeit);    // Farbe: Boxinhalt 
  stroke(boxHelligkeit, boxSichtbarkeit);  // Farbe: Boxrand
  rect(0,pos-5, gameSize-1, fontsize*1.5);   // Box wird erzeugt
  
  fill(rgb);                      // Schriftfarbe in hexadezimal
  textSize(fontsize);             // Schriftgröße
  textAlign(CENTER, TOP);         // Textposition
  text(message, gameSize/2, pos);    // Eigentlicher text
}