

Socket clientSocket;          // Ein "Socket" (Engl. Steckdose) stellt die verbindung zu einem TCP/IP Server her.
DataOutputStream outToServer; // Der DataOutputStream erlaubt es uns, komplexe Daten wie Strings in den Socket zu schieben.
InputStream inFromServer;     // Der InputStream erlaubt es uns, Rohdaten vom Socket zu empfangen.

void setupRoCom(){
  try {
    String serverAddress="192.168.1.1"; // die (IP) Adresse, mit der wir uns verbinden wollen
    int serverPort=8000;                 // der "Port", auf dem Server, mit dem wie reden wollen. (Muss gleich sein wie im Arduino-Programm)
    clientSocket = new Socket(serverAddress, serverPort); // Stelle eine Verbindung zum Server her.
    outToServer = new DataOutputStream(clientSocket.getOutputStream()); // Initialisiere die Klasse zum einfachen Datenversand
    inFromServer = clientSocket.getInputStream();                       // Initialisiere die Klasse zum Datenempfang
  }
  catch(Exception e) {
    println(e);    //falls etwas schief gelaufen ist, gebe die Fehlermeldung aus.
  }
}

/**********************
 Übergibt die Spalte, Zeile, und Spieler des ausgeführten Zuges 
**********************/
void posToRobot(int s, int z, int player){
  try {
    outToServer.writeBytes(s + ","+ z + ","+ player); // sende die koordinaten an den Arduino
    
  } 
  catch(Exception e) {
    println(e);        //falls etwas schief gelaufen ist, gebe die Fehlermeldung aus.
  }
}
/**********************
 Funktion die den Roboter "fragt" ob er schon fertig mit dem zeichnen ist
**********************/
boolean robotFertig(){
  boolean finished = false;
  try{
  
    if (inFromServer.available ()!=0) { 
      finished = (inFromServer.read() == 1); // lese ein einzelnen Zeichen und gebe es in der Konsole aus.
    }
  }
  catch(Exception e){
    println(e);
  }
  return finished;
}