class Spiel{

  Feld[][] board;
  int gameSize; //  größe des Spielfelds
  int triSize;  //  größe des Spielfelds durch 3 geteilt
  int turn;     //  Variable in der gespeichert wie viele Züge schon gemacht wurden
  int gameStatus;// Status des Spiels
  int player = -1; // -1 bedeutet nicht festgelegt

// Einfacher Konstruktor: wird beim spielstart benötigt    
Spiel(){
 gameStatus = 0;
}  
// KONSTRUKTOR  
Spiel(int gSize, int firstPlayer){
  board = new Feld[3][3];
  
  gameStatus = 1;
  turn = 0;
  player = firstPlayer;
  gameSize = gSize;
  triSize = gameSize/3;
  
  for (int i = 0; i<3; i++) {
    for ( int j = 0; j<3; j++) {
      board[i][j] = new Feld(triSize*i, triSize*j, triSize, triSize);
   } }
}  
/***********************
  Funktionsbeschreibung: Bekommt Spalte und Zeile übergeben und belegt an dieser Stelle das Spielbrett mit dem aktuellen Spieler
***********************/
void makeMove(int spalte, int zeile){
  board[spalte][zeile].setStatus(player);
}

/***********************
  Funktionsbeschreibung: Wechelt den momentan aktiven Spieler
***********************/
void switchPlayer(){
 if (player == 1)
   player = 2;
 else 
   player = 1;
}
/***********************
  Funktionsbeschreibung: Erhöht den zugzähler um Eins.
***********************/
void incTurn(){
 turn++;
}

/***********************
  Funktionsbeschreibung: Die Funktion bekommt ein Spielbrett übergeben und ermittelt ob einer der Spieler irgendwo auf dem Brett 3 Felder in einer Reihe hat. Ist dies der Fall wird die ID des spielers zurück gegeben, hat niemand gewonnen wird Null zurück gegeben 
***********************/
int gewonnen(Feld[][] game){
  int gewinner = 0;
  for(int i=0; i<3; i++){ //man kann spalten oder zeilen als grenzen nehmen 
    if((game[i][0].getStatus() == game[i][1].getStatus()) && (game[i][0].getStatus() == game[i][2].getStatus()) && (game[i][0].getStatus() != 0)){  // Horizontale Reihe
      gewinner = game[i][0].getStatus();
    }
    if((game[0][i].getStatus() == game[1][i].getStatus()) && (game[0][i].getStatus() == game[2][i].getStatus()) && (game[0][i].getStatus() != 0)){  // Vertikale Reihe  
      gewinner = game[0][i].getStatus(); 
    }
 }  
  if((game[0][0].getStatus() == game[1][1].getStatus())&&(game[0][0].getStatus() == game[2][2].getStatus()) && (game[0][0].getStatus() != 0)){  //Reihe Schräg-runter
    gewinner = game[0][0].getStatus();  
  }
  if((game[0][2].getStatus() == game[1][1].getStatus()) && (game[0][2].getStatus() == game[2][0].getStatus()) && (game[0][2].getStatus() != 0)){  //Reihe Schräg-hoch
    gewinner = game[0][2].getStatus();
  }
 return gewinner;  
}


// GETTER & SETTER

 void setStatus(int status){
   gameStatus = status;
 }
 int getStatus(){
   return gameStatus;
 }
 
 void setPlayer(int pID){
   player = pID;
 }
 int getPlayer(){
   return player;
 }
 int getFeldStatus(int s, int z){
 return board[s][z].getStatus();
 }
 Feld[][] getBoard(){
 return board;
 }
 int getTurn(){
   return turn;
 }


}